%define		pkg_name	check_hpasm
Name:		nagios-plugins-hpasm
Version:	4.8.0.2
Release:	3.1
Summary:	HPASM health check plugins for Nagios
Group:		Applications/System
License:	GPL
URL:		http://labs.consol.de/lang/de/nagios/check_hpasm/
Source0:	http://labs.consol.de/wp-content/uploads/2010/03/%{pkg_name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

Prefix:		%{_prefix}/lib/nagios/plugins

Provides:	check-hpasm
Provides:	check_hpasm
PreReq: sed

BuildRequires:	perl-Nagios-Plugin
Requires:	perl-Nagios-Plugin hpacucli hp-health

%description
check_hpasm is a nagios pluing, which check hardware health of Hewlett-Packard Proliant servers. It requires the hpasm package. The plugin checks the states of

    * CPU
    * Powersupply
    * Memory
    * Fan
    * CPU and Systemboard temperatures
    * Raid (id and sas ohly when using SNMP)

and alarms if one component fails or is not within normal thresholds.

%description(de)
check_hpasm ist ein Plugin für Nagios, das den Zustand der Hardware von Hewlett-Packard Proliant Servern prüft. Voraussetzung ist die Installation des hpasm-Pakets. Das Plugin ermittelt den Zustand von

    * Prozessoren
    * Stromversorgungen
    * Speichermodulen
    * Lüftern
    * CPU- und Board-Temperaturen
    * Raids (ide und sas nur bei Verwendung von SNMP)

und warnt bzw. alarmiert, wenn eine dieser Komponenten ausgefallen ist oder außerhalb der normalen Schwellwerte arbeitet.

%prep
%setup -n %{pkg_name}-%{version}
./configure \
--prefix=%{_prefix} \
--exec-prefix=%{_prefix} \
--libexecdir=%{_prefix}/lib/nagios/plugins \
--sysconfdir=%{_sysconfdir}/nagios \
--datadir=%{_datadir} \
--enable-hpacucli

%build
%__make
chmod -x AUTHORS ChangeLog README COPYING

%install
mkdir -p %{buildroot}%{_prefix}/lib/nagios/plugins
%__make DESTDIR=%{buildroot} install
cd ${RPM_BUILD_ROOT}%{_prefix}/lib/nagios/plugins
#for PLUGIN in check_mysql_health ; do
#  sed -i s@"nagios/plugins"@"%{_prefix}/lib/nagios/plugins"@g ${PLUGIN}
#done

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %{_prefix}/lib/nagios
%dir %{_prefix}/lib/nagios/plugins
%{_prefix}/lib/nagios/plugins/check_hpasm
%doc AUTHORS ChangeLog README COPYING

%changelog
* Fri Apr 29 2022 Local OBS User <cs@linux-administrator.com>
- Update to release 4.8.0.2
* Sat Nov 17 2012 cs@linux-administrator.com
- Update to release 4.6.2.1
* Sun Jul  1 2012 cs@linux-administrator.com
- Update to release 4.5.2
* Sat Oct 15 2011 cs@linux-administrator.com
- Update to release 4.3
